pcl::InterestPoint Struct Reference
Module common

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float strength
} |
float data_c [4]
}; |

## Friends

EIGEN_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream & | operator<< (std::ostream &os, const InterestPoint &p)

## Detailed Description

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value.

Definition at line 744 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

EIGEN_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream& operator<< | ( | std::ostream & | os,
|  | const InterestPoint & | p
| ) |  |

friend

## Member Data Documentation

## @11

union { ... }

## data_c

float pcl::InterestPoint::data_c[4]

Definition at line 753 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::InterestPoint::PCL_ADD_POINT4D

Definition at line 746 of file point_types.hpp.

## strength

float pcl::InterestPoint::strength

Definition at line 751 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::add(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::demean(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::get(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::operator()(), and pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::set().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp